Subject: Re: [PATCH] t1700: make test pass with index-v4

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Mar 2015 11:06:53 -0700

Thomas Gummerer <[email-masked]> writes:

> On 03/20, Junio C Hamano wrote:
>> Thomas Gummerer <[email-masked]> writes:
>>
>> > The different index versions have different sha-1 checksums.  Those
>> > checksums are checked in t1700, which makes it fail when run with index
>> > v4.  Fix it.
>>
>> I am more interested to see how you managed to use index v4 in the
>> tests be described next to "when run with index v4".  I thought we
>> were controling these things fairly tightly (e.g. we disable hooks,
>> move $HOME to avoid getting affected by your personal settings,
>> etc.).
>
> The tests can be run with index-v4 by setting TEST_GIT_INDEX_VERSION
> in config.mak.  This configuration was introduced in 5d9fc88 test-lib:
> allow setting the index format version.

An updated patch to mention "when run with TEST_GIT_INDEX_VERSION=4"
in the log message was what I was asking for ;-)